Bug 523269 - trigger is strange, and pointless in implementation
Summary: trigger is strange, and pointless in implementation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lawrence Lim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 17:04 UTC by Bill Nottingham
Modified: 2014-03-26 01:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:24:53 UTC
Type: ---


Attachments (Terms of Use)

Description Bill Nottingham 2009-09-14 17:04:50 UTC
Description of problem:

redhat-lsb includes a redhat_lsb_trigger.%{arch} binary to make a symlink to ld.so for LSB apps, as far as I can tell.

It's done as a static binary, apparently because of bug 160585.

But it's run from *a shell script* (which requires a dynamic libc), that then *just calls sln anyway* when it's done.

So, if you're going to do that, why have the complex asm version?

(This is ignoring all the /emul/i?86-linux stuff that should be removed anyway.)

Version-Release number of selected component (if applicable):

redhat-lsb-3.2-1

How reproducible:

100%

Additional information:

It's pretty laughable that it's been this way for years.

Comment 1 Bug Zapper 2009-11-16 12:22:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Parag Nemade 2010-06-24 10:23:18 UTC
Bill,

I am not knowing much of redhat-lsb but willing to fix this bug if there is a problem.

Please, provide what is need to changed?

Comment 3 Bill Nottingham 2010-06-24 16:33:23 UTC
Something like this:

Index: redhat-lsb.spec
===================================================================
RCS file: /cvs/extras/rpms/redhat-lsb/devel/redhat-lsb.spec,v
retrieving revision 1.50
diff -u -u -r1.50 redhat-lsb.spec
--- redhat-lsb.spec	15 Jan 2010 03:37:52 -0000	1.50
+++ redhat-lsb.spec	24 Jun 2010 16:32:50 -0000
@@ -671,23 +671,12 @@
 #ln -snf /usr/share/X11/fonts $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
 #ln -snf /usr/share/X11/rgb.txt  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/rgb.txt
 
-# According to https://bugzilla.redhat.com/show_bug.cgi?id=232918 , the '-static' option
-# is imported against segfault error while running redhat_lsb_trigger
-gcc $RPM_OPT_FLAGS -Os -static -fno-stack-protector -o redhat_lsb_trigger{.%{_target_cpu},.c} -DLSBSOVER='"%{lsbsover}"' \
-  -DLDSO='"%{ldso}"' -DLSBLDSO='"/%{_lib}/%{lsbldso}"' -D_GNU_SOURCE
-install -m 700 redhat_lsb_trigger.%{_target_cpu} \
-  $RPM_BUILD_ROOT%{_sbindir}/redhat_lsb_trigger.%{_target_cpu}
-
 cp -p redhat_lsb_init $RPM_BUILD_ROOT/bin/redhat_lsb_init
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 %triggerpostun -- glibc
-if [ -x /usr/sbin/redhat_lsb_trigger.%{_target_cpu} ]; then
-  /usr/sbin/redhat_lsb_trigger.%{_target_cpu}
-fi
-
 %ifnarch %{ix86}
   /sbin/sln %{ldso} /%{_lib}/%{lsbldso} || :
 %else
@@ -726,7 +715,6 @@
 /usr/lib/lsb
 /%{_lib}/*so*
 /lib/lsb*
-%{_sbindir}/redhat_lsb_trigger.%{_target_cpu}
 
 %files graphics
 %defattr(-,root,root)

CC'ing Jakub and Spot for opinions.

Comment 4 Jakub Jelinek 2010-06-24 19:05:32 UTC
If the %trigger isn't using -p /usr/sbin/redhat_lsb_trigger.*, then the statically linked program of course doesn't make any sense.
libgcc/glibc-common use such a proglet only because they can't require /bin/sh etc.

Comment 5 Bug Zapper 2010-11-04 10:02:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:24:53 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.